Subject: bug#50674: Major mode for etc/AUTHORS with basic font-locking

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Sep 2021 11:14:01 +0200

Stefan Kangas <[email-masked]>:

> Personally, I'd rather create a new file for small modes than go down
> this rabbit hole.  generic-x.el is hardly the best library name or
> location.

Thinking about this a bit more, what is the problem with just keeping
this in its own file?  It is fairly self-contained and not really
related to anything else.  If the worry is that it will clutter
lisp/textmodes, perhaps we could add a new directory where such
"small" modes could go.

In general, I'm not a fan of mega-files with many bits and pieces in
them -- see for example time.el that for some reason contains both
'display-time' and 'world-clock'.  The latter could easily be in its
own file instead, and from working in that file I can say that it
would have been easier to understand and modify if it was.  ("Large"
files is a common practice in ELisp, but not in many other programming
languages AFAIK.)